package com.informationkinematics.imsforward;

/**
 * Title:        HTMLCode<br>
 * Description:  Stores the static HTML output in String constants.<br>
 * Copyright:    Copyright (c) 2001 by Information Kinematics under GNU General Public License
 *               (see package description for more information)<br>
 * Company:      Information Kinematics<br>
 * @author Florian Steinsiepe, Adrian Zaugg
 * @version 0.9.2
 */

public final class HTMLCode
{
    public static final String
        SETUP_1 = "<html>\n" +
                "<head>\n" +
                "<title>IMSForward: Setup Window</title>\n" +
                "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n" +
                "</head>\n" +
                "\n" +
                "<body bgcolor=\"#FFFFFF\">\n" +
                "<P><center>\n" +
                "  <table width=\"700\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n" +
                "    <tr> \n" +
                "    <td width=\"80\" height=\"40\"> \n" +
                "        <div align=\"center\"><img src=\"../images/surrounder_tl.gif\" width=\"80\" height=\"40\"></div>\n" +
                "    </td>\n" +
                "    <td width=\"540\"> \n" +
                "        <div align=\"center\"><img src=\"../images/surrounder_tm.gif\" width=\"540\" height=\"40\"></div>\n" +
                "    </td>\n" +
                "    <td width=\"80\"> \n" +
                "        <div align=\"center\"><img src=\"../images/surrounder_tr.gif\" width=\"80\" height=\"40\"></div>\n" +
                "    </td>\n" +
                "  </tr>\n" +
                "  <tr> \n" +
                "    <td height=\"470\"> \n" +
                "        <div align=\"center\"><img src=\"../images/surrounder_lm.gif\" width=\"80\" height=\"470\"></div>\n" +
                "    </td>\n" +
                "    <td> \n" +
                "        <div align=\"center\">\n" +
                "          <h1><font face=\"Verdana, Arial, Helvetica, sans-serif\">IMS Forward Setup</font></h1>\n" +
                "          <h1>&nbsp;</h1>\n" +
                "          <h4><font face=\"Verdana, Arial, Helvetica, sans-serif\">please enter \n" +
                "            settings:</font></h4>\n" +
                "          <form action=\"com.informationkinematics.imsforward.Showdown\" method=\"post\">\n" +
                "            <p>&nbsp; </p>\n" +
                "            <table width=\"80%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n" +
                "              <tr> \n" +
                "                <td width=\"50%\"> \n" +
                "                  <div align=\"right\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"-1\">...activate \n" +
                "                    forwarding? </font></div>\n" +
                "                </td>\n" +
                "                <td width=\"10%\"> \n" +
                "                  <div align=\"center\"></div>\n" +
                "                </td>\n" +
                "                <td> \n" +
                "                  <div align=\"left\"> \n" +
                "                    <input type=\"checkbox\" name=\"activateforwarding\" value=\"checked\" ",
/* ************************************************************************************************************************************************** */
        SETUP_2 = ">\n" +
                "                  </div>\n" +
                "                </td>\n" +
                "              </tr>\n" +
                "              <tr> \n" +
                "                <td width=\"*\"> \n" +
                "                  <div align=\"right\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"-1\">...forward \n" +
                "                    address:</font></div>\n" +
                "                </td>\n" +
                "                <td> \n" +
                "                  <div align=\"center\"></div>\n" +
                "                </td>\n" +
                "                <td> \n" +
                "                  <div align=\"left\"> \n" +
                "                    <input type=\"text\" name=\"forwardaddress\" size=\"20\" maxlength=\"100\" value=\"",
/* ************************************************************************************************************************************************** */
        SETUP_3 = "\">\n" +
                "                  </div>\n" +
                "                </td>\n" +
                "              </tr>\n" +
                "              <tr> \n" +
                "                <td> \n" +
                "                  <div align=\"right\"><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"-1\">...discard \n" +
                "                    forwarded emails?</font></div>\n" +
                "                </td>\n" +
                "                <td> \n" +
                "                  <div align=\"center\"></div>\n" +
                "                </td>\n" +
                "                <td> \n" +
                "                  <div align=\"left\"> \n" +
                "                    <input type=\"checkbox\" name=\"discard\" value=\"checked\" ",
/* ************************************************************************************************************************************************** */
      SETUP_4 = ">\n" +
                "                  </div>\n" +
                "                </td>\n" +
                "              </tr>\n" +
                "              <tr> \n" +
                "                <td height=\"70\" valign=\"bottom\"> \n" +
                "                  <div align=\"center\"> <font face=\"Verdana, Arial, Helvetica, sans-serif\"> \n" +
                "                    <input type=\"hidden\" value=\"",
/* ************************************************************************************************************************************************** */
      SETUP_5 = "\" name=\"username\">\n" +
                "                    <input type=\"hidden\" value=\"",
/* ************************************************************************************************************************************************** */
      SETUP_6 = "\" name=\"newmailcount\">\n" +
                "                    <input type=\"hidden\" value=\"",
/* ************************************************************************************************************************************************** */
      SETUP_7 = "\" name=\"imspath\">\n" +
                "                    <input type=\"submit\" value=\"save\" name=\"submit\">\n" +
                "                    </font></div>\n" +
                "                </td>\n" +
                "                <td colspan=\"2\" valign=\"bottom\"> \n" +
                "                  <div align=\"center\"> <font face=\"Verdana, Arial, Helvetica, sans-serif\"> \n" +
                "                    <input type=\"button\" value=\"cancel\" onClick=\"javascript:history.back()\">\n" +
                "                    </font></div>\n" +
                "                </td>\n" +
                "              </tr>\n" +
                "            </table>\n" +
                "            <p>&nbsp;</p>\n" +
                "            <font Size=\"-1\" face=\"Verdana, Arial, Helvetica, sans-serif\"> \n",
/* ************************************************************************************************************************************************** */
      SETUP_8 = "            </font>\n" +
                "          </form>\n" +
                "        </div>\n" +
                "    </td>\n" +
                "    <td> \n" +
                "        <div align=\"center\"><img src=\"../images/surrounder_rm.gif\" width=\"80\" height=\"470\"></div>\n" +
                "    </td>\n" +
                "  </tr>\n" +
                "  <tr> \n" +
                "    <td height=\"40\"> \n" +
                "        <div align=\"center\"><img src=\"../images/surrounder_bl.gif\" width=\"80\" height=\"40\"></div>\n" +
                "    </td>\n" +
                "    <td> \n" +
                "        <div align=\"center\"><img src=\"../images/surrounder_bm.gif\" width=\"540\" height=\"40\"></div>\n" +
                "    </td>\n" +
                "    <td> \n" +
                "        <div align=\"center\"><img src=\"../images/surrounder_br.gif\" width=\"80\" height=\"40\"></div>\n" +
                "    </td>\n" +
                "  </tr>\n" +
                "</table></center>\n" +
                "</body>\n" +
                "</html>\n",
/* ************************************************************************************************************************************************** */
        SHOWDOWN_1 = "<html>\n" +
                    "<head>\n" +
                    "<title>IMSForward: processing done</title>\n" +
                    "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body bgcolor=\"#FFFFFF\">\n" +
                    "<P><center>\n" +
                    "  <table width=\"700\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n" +
                    "    <tr> \n" +
                    "    <td width=\"80\" height=\"40\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_tl.gif\" width=\"80\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "    <td width=\"540\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_tm.gif\" width=\"540\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "    <td width=\"80\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_tr.gif\" width=\"80\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "  </tr>\n" +
                    "  <tr> \n" +
                    "    <td height=\"470\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_lm.gif\" width=\"80\" height=\"470\"></div>\n" +
                    "    </td>\n" +
                    "    <td> \n" +
                    "        <div align=\"center\">\n" +
                    "          <h1><font face=\"Verdana, Arial, Helvetica, sans-serif\">IMS Forward Status</font></h1>\n" +
                    "          <h1>&nbsp;</h1>\n" +
                    "          <h4><font face=\"Verdana, Arial, Helvetica, sans-serif\">",
/* ************************************************************************************************************************************************** */
            SHOWDOWN_2 = "</font></h4>\n" +
                    "          </div>\n" +
                    "    </td>\n" +
                    "    <td> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_rm.gif\" width=\"80\" height=\"470\"></div>\n" +
                    "    </td>\n" +
                    "  </tr>\n" +
                    "  <tr> \n" +
                    "    <td height=\"40\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_bl.gif\" width=\"80\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "    <td> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_bm.gif\" width=\"540\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "    <td> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_br.gif\" width=\"80\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "  </tr>\n" +
                    "</table></center>\n" +
                    "</body>\n" +
                    "</html>\n",
/* ************************************************************************************************************************************************** */
        STARTUP_1 = "<html>\n" +
                    "<head>\n" +
                    "<title>IMS Forward: Login</title>\n" +
                    "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body bgcolor=\"#FFFFFF\">\n" +
                    "<P><center>\n" +
                    "  <table width=\"700\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n" +
                    "    <tr> \n" +
                    "    <td width=\"80\" height=\"40\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_tl.gif\" width=\"80\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "    <td width=\"540\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_tm.gif\" width=\"540\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "    <td width=\"80\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_tr.gif\" width=\"80\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "  </tr>\n" +
                    "  <tr> \n" +
                    "    <td height=\"470\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_lm.gif\" width=\"80\" height=\"470\"></div>\n" +
                    "    </td>\n" +
                    "    <td> \n" +
                    "        <div align=\"center\">\n" +
                    "          <h1><font face=\"Verdana, Arial, Helvetica, sans-serif\">IMS Forward Setup</font></h1>\n" +
                    "          <h1>&nbsp;</h1>\n" +
                    "          <h4><font face=\"Verdana, Arial, Helvetica, sans-serif\">please login</font></h4>\n" +
                    "   	  <form action=\"com.informationkinematics.imsforward.Setup\" method=\"post\">\n" +
                    "              <font size=\"-1\" face=\"Verdana, Arial, Helvetica, sans-serif\">\n" +
                    "                username: \n" +
                    "                <input type=text name=\"username\" size=20 maxlength=20>\n" +
                    "              </font> \n" +
                    "              </p>\n" +
                    "              <p>\n" +
                    "                <font size=\"-1\" face=\"Verdana, Arial, Helvetica, sans-serif\">\n" +
                    "                  password: \n" +
                    "                  <input type=password name=\"password\" size=20 maxlength=20>\n" +
                    "                </font>\n" +
                    "              </p>\n" +
                    "              <font size=\"-1\" face=\"Verdana, Arial, Helvetica, sans-serif\"> \n" +
                    "                <input type=\"submit\" value=\"login\" name=\"submit\">\n" +
                    "              </font>\n" +
                    "           </form>\n" +
                    "        </div>\n" +
                    "    </td>\n" +
                    "    <td> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_rm.gif\" width=\"80\" height=\"470\"></div>\n" +
                    "    </td>\n" +
                    "  </tr>\n" +
                    "  <tr> \n" +
                    "    <td height=\"40\"> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_bl.gif\" width=\"80\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "    <td> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_bm.gif\" width=\"540\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "    <td> \n" +
                    "        <div align=\"center\"><img src=\"../images/surrounder_br.gif\" width=\"80\" height=\"40\"></div>\n" +
                    "    </td>\n" +
                    "  </tr>\n" +
                    "</table></center>\n" +
                    "</body>\n" +
                    "</html>\n",
/* ************************************************************************************************************************************************** */
        ERROR_1 = "<html>\n" +
                  "<head>\n" +
                  "<title>IMSForward: Error</title>\n" +
                  "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n" +
                  "</head>\n" +
                  "\n" +
                  "<body bgcolor=\"#FFFFFF\">\n" +
                  "<P><center>\n" +
                  "  <table width=\"700\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n" +
                  "    <tr> \n" +
                  "    <td width=\"80\" height=\"40\"> \n" +
                  "        <div align=\"center\"><img src=\"../images/surrounder_tl.gif\" width=\"80\" height=\"40\"></div>\n" +
                  "    </td>\n" +
                  "    <td width=\"540\"> \n" +
                  "        <div align=\"center\"><img src=\"../images/surrounder_tm.gif\" width=\"540\" height=\"40\"></div>\n" +
                  "    </td>\n" +
                  "    <td width=\"80\"> \n" +
                  "        <div align=\"center\"><img src=\"../images/surrounder_tr.gif\" width=\"80\" height=\"40\"></div>\n" +
                  "    </td>\n" +
                  "  </tr>\n" +
                  "  <tr> \n" +
                  "    <td height=\"470\"> \n" +
                  "        <div align=\"center\"><img src=\"../images/surrounder_lm.gif\" width=\"80\" height=\"470\"></div>\n" +
                  "    </td>\n" +
                  "    <td> \n" +
                  "        <div align=\"center\">\n" +
                  "          <h1><font face=\"Verdana, Arial, Helvetica, sans-serif\">Error</font></h1>\n" +
                  "          <h1>&nbsp;</h1>\n" +
                  "          <h4><font size=\"-1\" face=\"Verdana, Arial, Helvetica, sans-serif\">",
/* ************************************************************************************************************************************************** */
        ERROR_2 = "          </font></h4>\n" +
                  "          </div>\n" +
                  "    </td>\n" +
                  "    <td> \n" +
                  "        <div align=\"center\"><img src=\"../images/surrounder_rm.gif\" width=\"80\" height=\"470\"></div>\n" +
                  "    </td>\n" +
                  "  </tr>\n" +
                  "  <tr> \n" +
                  "    <td height=\"40\"> \n" +
                  "        <div align=\"center\"><img src=\"../images/surrounder_bl.gif\" width=\"80\" height=\"40\"></div>\n" +
                  "    </td>\n" +
                  "    <td> \n" +
                  "        <div align=\"center\"><img src=\"../images/surrounder_bm.gif\" width=\"540\" height=\"40\"></div>\n" +
                  "    </td>\n" +
                  "    <td> \n" +
                  "        <div align=\"center\"><img src=\"../images/surrounder_br.gif\" width=\"80\" height=\"40\"></div>\n" +
                  "    </td>\n" +
                  "  </tr>\n" +
                  "</table></center>\n" +
                  "</body>\n" +
                  "</html>\n";
/* ************************************************************************************************************************************************** */

	/**
	 * Overrides Object's constructor with stronger access restriction.
	 * Therefore, this class can't be instantiated from outside.
	 */
    private HTMLCode() {}
}