package com.informationkinematics.imsforward;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

/**
 * Title:        Startup<br>
 * Description:  Startup shows the first screen of the GUI.<br>
 * Copyright:    Copyright (c) 2001 by Information Kinematics under GNU General Public License
 *               (see package description for more information)<br>
 * Company:      Information Kinematics<br>
 * @author Florian Steinsiepe, Adrian Zaugg
 * @version 0.9.2
 */

public class Startup extends Littles
{
	/**
	 * doGet calls doPost using its parameters.
	 *
	 * @param req javax.servlet.http.HttpServletRequest
	 * @param res javax.servlet.http.HttpServletResponse
	 */
    public void doGet(HttpServletRequest req, HttpServletResponse res)
		    throws ServletException, IOException
    {
        // We don't get, we post.
        doPost(req, res);
    }

	/**
	 * doPost writes the HTML output of the first screen to the client.
	 *
	 * @param req javax.servlet.http.HttpServletRequest
	 * @param res javax.servlet.http.HttpServletResponse
	 */
    public void doPost(HttpServletRequest req, HttpServletResponse res)
		    throws ServletException, IOException
    {
        // Show loginscreen.
        res.setContentType("text/html");
        PrintWriter out = res.getWriter();
        out.println(HTMLCode.STARTUP_1);
        out.close();
    }
}